> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttleパスマッピングを更新

> IDで指定された既存のShuttleパスマッピングの変更可能なプロパティを更新します。リクエスト本文で指定されたフィールドのみが変更されます。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json PUT /shuttle_path_mappings/{shuttle_path_mapping_id}
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_path_mappings/{shuttle_path_mapping_id}:
    put:
      tags:
        - Shuttle
      summary: Shuttleパスマッピングを更新
      description: IDで指定された既存のShuttleパスマッピングの変更可能なプロパティを更新します。リクエスト本文で指定されたフィールドのみが変更されます。
      operationId: put_shuttle_path_mappings_id_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: shuttle_path_mapping_id
          in: path
          description: Shuttleパスマッピングの一意の識別子。
          required: true
          schema:
            type: string
          example: 6a3ba7a24ea17bc9461eeacd
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShuttlePathMappingUpdateRequest'
            examples:
              skip_path:
                summary: Skip a mapped path and clear the destination
                value:
                  is_path_skipped: true
                  target: null
      responses:
        '200':
          description: 更新されたShuttleパスマッピングを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttlePathMapping'
        '400':
          description: リクエスト本文の形式が正しくない、空である、または検証が失敗した場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleパスマッピングが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttlePathMappingUpdateRequest:
      description: >-
        既存のShuttleパスマッピングを更新するために使用するリクエスト本文。リクエスト本文で指定されたフィールドのみが変更されます。`job_id`、`id`、`type`は変更できません。
      type: object
      properties:
        is_path_skipped:
          description: 移行時にこのソースパスをスキップするかどうか。
          type: boolean
          example: true
        source:
          allOf:
            - $ref: '#/components/schemas/ShuttlePathMappingLocationInput'
            - description: 移行元のソースの場所。
        target:
          description: 移行先の場所。ソースパスをスキップする場合などに、移行先をクリアするには、`null`に設定します。
          example:
            type: account
            path: /HR Migration
            account:
              email: admin@company.box.com
          oneOf:
            - $ref: '#/components/schemas/ShuttlePathMappingTargetLocationInput'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
      minProperties: 1
      title: Shuttleパスマッピング更新リクエスト
      x-box-resource-id: shuttle_path_mapping_update_request_v2026.0
      x-box-tag: shuttle
    ShuttlePathMapping:
      description: >-
        ShuttleパスマッピングのStandard版の表示。パスマッピングは、移行元システム上のソースの場所をBoxの移行先に対応付けるか、ソースパスをスキップ対象として設定します。
      type: object
      properties:
        id:
          description: Shuttleパスマッピングの一意の識別子。
          type: string
          example: 6a3ba7a24ea17bc9461eeacd
        type:
          description: 値は常に`shuttle_path_mapping`になります。
          type: string
          example: shuttle_path_mapping
          enum:
            - shuttle_path_mapping
        job_id:
          description: このマッピングが属しているShuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        is_path_skipped:
          description: 移行時にこのソースパスをスキップするかどうか。
          type: boolean
          example: false
        source:
          allOf:
            - $ref: '#/components/schemas/ShuttlePathMappingLocation'
            - description: マッピング対象のソースの場所。
        target:
          description: 移行先の場所。ソースパスをスキップする場合、または分析ジョブなど、ジョブに移行先がない場合は`null`。
          example:
            type: account
            path: /HR Migration
            path_id: '1234567890'
            account:
              id: '123456'
              email: admin@company.box.com
              name: Box Admin
            is_directory: true
          oneOf:
            - $ref: '#/components/schemas/ShuttlePathMappingLocation'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
      required:
        - id
        - type
        - job_id
        - is_path_skipped
        - source
      title: Shuttleパスマッピング
      x-box-resource-id: shuttle_path_mapping_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttlePathMappingLocationInput:
      description: パスマッピングの作成または更新時に指定するソースの場所。オブジェクトの構造は`type`によって決まります。
      oneOf:
        - $ref: '#/components/schemas/ShuttlePathMappingAccountLocationInput'
        - $ref: '#/components/schemas/ShuttlePathMappingSharedSpaceLocationInput'
      title: Shuttleパスマッピングの場所の入力
      x-box-resource-id: shuttle_path_mapping_location_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingTargetLocationInput:
      description: >-
        パスマッピングの作成または更新時に指定する移行先の場所。オブジェクトの構造は`type`によって決まります。移行先の入力には`is_directory`を含めません。このフラグはソースから取得されます。
      oneOf:
        - $ref: '#/components/schemas/ShuttlePathMappingAccountLocationTargetInput'
        - $ref: >-
            #/components/schemas/ShuttlePathMappingSharedSpaceLocationTargetInput
      title: Shuttleパスマッピングターゲットの場所の入力
      x-box-resource-id: shuttle_path_mapping_target_location_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingLocation:
      description: パスマッピングの一方の側。オブジェクトの構造は`type`によって決まります。
      oneOf:
        - $ref: '#/components/schemas/ShuttlePathMappingAccountLocation'
        - $ref: '#/components/schemas/ShuttlePathMappingSharedSpaceLocation'
      title: Shuttleパスマッピングの場所
      x-box-resource-id: shuttle_path_mapping_location_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingAccountLocationInput:
      description: パスマッピングの作成または更新時に指定する、アカウントスコープのソースの場所。
      type: object
      properties:
        type:
          description: 値は常に`account`になります。
          type: string
          example: account
          enum:
            - account
        path:
          description: 人間が判読できる、アカウントのルートを基準とした相対パス。
          type: string
          example: /Shared Documents
          minLength: 1
        path_id:
          description: 参照によって取得された場合の、場所の安定した識別子 (省略可)。
          type: string
          example: sp-folder-001
        account:
          allOf:
            - $ref: '#/components/schemas/ShuttlePathMappingAccountInput'
            - description: この場所を所有するアカウント。`id`または`email`の少なくとも一方を指定します。
        is_directory:
          description: この場所がディレクトリかどうか。設定する場合、移行先も同じ種類のオブジェクトである必要があります。
          type: boolean
          example: true
      required:
        - type
        - path
        - account
      title: Shuttleパスマッピングアカウントの場所の入力
      x-box-resource-id: shuttle_path_mapping_account_location_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingSharedSpaceLocationInput:
      description: パスマッピングの作成または更新時に指定する、共有コンテナのソースの場所。
      type: object
      properties:
        type:
          description: 値は常に`shared_space`になります。
          type: string
          example: shared_space
          enum:
            - shared_space
        space:
          description: 共有コンテナの表示名。複数のコンテナが存在するシステムでは必須です。
          type: string
          example: HR Team Site
        path:
          description: 人間が判読できる、共有コンテナを基準とした相対パス。
          type: string
          example: /Shared Documents
          minLength: 1
        path_id:
          description: 参照によって取得された場合の、場所の安定した識別子 (省略可)。
          type: string
          example: sp-folder-001
        is_directory:
          description: この場所がディレクトリかどうか。設定する場合、移行先も同じ種類のオブジェクトである必要があります。
          type: boolean
          example: true
      required:
        - type
        - path
      title: Shuttleパスマッピング共有スペースの場所の入力
      x-box-resource-id: shuttle_path_mapping_shared_space_location_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingAccountLocationTargetInput:
      description: パスマッピングの作成または更新時に指定する、アカウントスコープの移行先の場所。
      type: object
      properties:
        type:
          description: 値は常に`account`になります。
          type: string
          example: account
          enum:
            - account
        path:
          description: 人間が判読できる、アカウントのルートを基準とした相対パス。
          type: string
          example: /HR Migration
          minLength: 1
        path_id:
          description: 参照によって取得された場合の、場所の安定した識別子 (省略可)。
          type: string
          example: '1234567890'
        account:
          allOf:
            - $ref: '#/components/schemas/ShuttlePathMappingAccountInput'
            - description: この場所を所有するアカウント。`id`または`email`の少なくとも一方を指定します。
      required:
        - type
        - path
        - account
      title: Shuttleパスマッピングアカウントの場所のターゲットの入力
      x-box-resource-id: shuttle_path_mapping_account_location_target_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingSharedSpaceLocationTargetInput:
      description: パスマッピングの作成または更新時に指定する、共有コンテナの移行先の場所。
      type: object
      properties:
        type:
          description: 値は常に`shared_space`になります。
          type: string
          example: shared_space
          enum:
            - shared_space
        space:
          description: 共有コンテナの表示名。複数のコンテナが存在するシステムでは必須です。
          type: string
          example: HR Team Site
        path:
          description: 人間が判読できる、共有コンテナを基準とした相対パス。
          type: string
          example: /HR Migration
          minLength: 1
        path_id:
          description: 参照によって取得された場合の、場所の安定した識別子 (省略可)。
          type: string
          example: '1234567890'
      required:
        - type
        - path
      title: Shuttleパスマッピング共有スペースの場所のターゲットの入力
      x-box-resource-id: shuttle_path_mapping_shared_space_location_target_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingAccountLocation:
      description: ユーザーアカウントまたはサービスアカウントをスコープとするパスマッピングの場所。
      type: object
      properties:
        type:
          description: 値は常に`account`になります。
          type: string
          example: account
          enum:
            - account
        path:
          description: 人間が判読できる、アカウントのルートを基準とした相対パス。
          type: string
          example: /HR Migration
        path_id:
          description: 場所の安定した識別子。システムから識別子が提供されない場合は`null`。
          type: string
          example: '1234567890'
          nullable: true
        account:
          allOf:
            - $ref: '#/components/schemas/ShuttlePathMappingAccount'
            - description: この場所を所有するアカウント。
        is_directory:
          description: この場所がディレクトリかどうか。不明な場合は`null`。
          type: boolean
          example: true
          nullable: true
      required:
        - type
        - path
      title: Shuttleパスマッピングアカウントの場所
      x-box-resource-id: shuttle_path_mapping_account_location_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingSharedSpaceLocation:
      description: サイト、チームドライブ、バケット、ファイル共有などの共有コンテナをスコープとするパスマッピングの場所。
      type: object
      properties:
        type:
          description: 値は常に`shared_space`になります。
          type: string
          example: shared_space
          enum:
            - shared_space
        space:
          description: 共有コンテナの表示名。システムに暗黙のコンテナが1つしかない場合は`null`。
          type: string
          example: HR Team Site
          nullable: true
        path:
          description: 人間が判読できる、共有コンテナを基準とした相対パス。
          type: string
          example: /Shared Documents
        path_id:
          description: 場所の安定した識別子。システムから識別子が提供されない場合は`null`。
          type: string
          example: sp-folder-001
          nullable: true
        is_directory:
          description: この場所がディレクトリかどうか。不明な場合は`null`。
          type: boolean
          example: true
          nullable: true
      required:
        - type
        - path
      title: Shuttleパスマッピング共有スペースの場所
      x-box-resource-id: shuttle_path_mapping_shared_space_location_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingAccountInput:
      description: アカウントスコープのパスマッピングの場所を所有するアカウント。`id`または`email`の少なくとも一方を指定します。
      type: object
      properties:
        id:
          description: アカウントのプラットフォーム固有の識別子。
          type: string
          example: '123456'
        email:
          description: アカウントのメールアドレス。
          type: string
          example: admin@company.box.com
      additionalProperties: false
      minProperties: 1
      title: Shuttleパスマッピングアカウントの入力
      x-box-resource-id: shuttle_path_mapping_account_input_v2026.0
      x-box-tag: shuttle
    ShuttlePathMappingAccount:
      description: アカウントスコープのパスマッピングの場所を所有するアカウント。
      type: object
      properties:
        id:
          description: アカウントのプラットフォーム固有の識別子。システムから識別子が提供されない場合は`null`。
          type: string
          example: '123456'
          nullable: true
        email:
          description: アカウントのメールアドレス。不明な場合は`null`。
          type: string
          example: admin@company.box.com
          nullable: true
        name:
          description: アカウントの表示名。不明な場合は`null`。
          type: string
          example: Box Admin
          nullable: true
      title: Shuttleパスマッピングアカウント
      x-box-resource-id: shuttle_path_mapping_account_v2026.0
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````